- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# unique.hh File Reference

Declarations for the type canonicalization tools. More...

Include dependency graph for unique.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
namespace | vcsn::misc
namespace | vcsn::misc::unique
## Classes
struct | UniqueListBase
| Base class for `uniquelist`. More...
struct | uniquelist
| Simple unique list structure. More...
struct | UniqueMap
| Canonical type map. More...
struct | UniqueMap::TiSlot
| Helper to make `std::type_info` into a valid key type for `std::map`. More...
## Functions
template<typename T>
const T & | get (const T &)
| The canonicalization operator.
template<typename T>
const T * | get (const T *)
| Version of the canonicalization operator for pointers.

## Detailed Description

Declarations for the type canonicalization tools.

Definition in file unique.hh.